#!/bin/sh

if [ $# -ne 2 ]; then
    echo "$0 intf name"
    exit 1
fi

set -x
cd ~/master-thesis/pcap

intf=$1
name=$2

now=$(date +%F-%H%M)
filename=${name}-${now}-${intf}.pcap

sudo tcpdump -ni ${intf} -w "${filename}"
